# Generated from oneapm_rpm-1.4.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name oneapm_rpm

Name: rubygem-%{gem_name}
Version: 1.4.2
Release: 1%{?dist}
Summary: OneApm Ruby Agent
License: OneApm and MIT and Ruby
URL: http://oneapm.com/features/ruby.html
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel >= 1.3.5
BuildRequires: ruby >= 1.8.7
# BuildRequires: rubygem(minitest) >= 4.7
# BuildRequires: rubygem(minitest) < 5
# BuildRequires: rubygem(minitest-ci) = 2.4.0
# BuildRequires: rubygem(minitest-focus) >= 1.1
# BuildRequires: rubygem(minitest-focus) < 2
# BuildRequires: rubygem(minitest-reporters) = 0.14.24
# BuildRequires: rubygem(simplecov) = 0.10.0
# BuildRequires: rubygem(mocha) >= 0.13.0
# BuildRequires: rubygem(mocha) < 0.14
# BuildRequires: rubygem(rails) >= 3.2
# BuildRequires: rubygem(rails) < 4
# BuildRequires: rubygem(pry) >= 0.10.3
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(hometown) >= 0.2.5
# BuildRequires: rubygem(hometown) < 0.3
# BuildRequires: rubygem(guard) = 2.12.5
# BuildRequires: rubygem(guard-minitest) = 2.4.4
# BuildRequires: rubygem(rb-fsevent) = 0.9.4
# BuildRequires: rubygem(i18n) = 0.6.11
# BuildRequires: rubygem(sqlite3) = 1.3.10
BuildArch: noarch

%description
OneApm Ruby Agent. (http://oneapm.com/features/ruby.html).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE
%{gem_instdir}/config
%{gem_libdir}
%{gem_instdir}/oneapm.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/oneapm_rpm.gemspec

%changelog
* Tue Aug 24 2021 mockbuilder - 1.4.2-1
- Initial package
